image: node:latest

stages:
  - build
  - test

cache:
  paths:
    - backend/node-modules/

install_dependencies:
  stage: build
  script:
    - cd backend
    - npm install
  artifacts:
    paths:
     - backend/node_modules/

run_backend:
  stage: test
  script:
    - cd backend
    - npm run test test/api/allApiTestForApplication.js